"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const client_1 = require("./client-config/client");
const index_1 = require("./client-config/index");
function deepMerge(target, source) {
    const merged = Object.assign({}, target);
    for (const key in source) {
        if (source.hasOwnProperty(key)) {
            const sourceValue = source[key];
            // @ts-ignore
            const targetValue = merged[key];
            if (sourceValue instanceof Object && targetValue instanceof Object) {
                // @ts-ignore
                merged[key] = deepMerge(targetValue, sourceValue);
            }
            else {
                // @ts-ignore
                merged[key] = sourceValue;
            }
        }
    }
    return merged;
}
function config(key) {
    const mergedConfig = deepMerge(client_1.config, index_1.config);
    if (typeof key !== 'undefined') {
        return mergedConfig[key];
    }
    return mergedConfig;
}
exports.config = config;
